<?php

namespace Apm\PhotoSettings\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class PhotoSettings extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('photo_settings.photo_settings.fillable');
        $this->uploads = config('photo_settings.photo_settings.uploadable');
        $this->uploadRootFolder = config('photo_settings.photo_settings.upload_root_folder');
        $this->table = config('photo_settings.photo_settings.table');
    }
}
